###################################################################################################
################################            READ IN DATA           ################################
###################################################################################################
gd<-read.delim("Fig1D.data.txt",stringsAsFactors = F)
gd$Var1=factor(gd$Var1,levels = rev(unique(gd$Var1)))
gd$Var2=factor(gd$Var2,levels = c("Demethylated","De novo","Increased"))
gd$Var2=factor(gd$Var2,levels = c("Demethylated","De novo","Increased"))
###################################################################################################
################################                PLOT               ################################
###################################################################################################
gd$value=gd$value*100
ggplot(gd, aes(fill=Var2, y=value, x=Var1)) + 
  geom_bar( stat="identity",width = 0.6)+
  coord_flip()+
  scale_fill_manual(values = c("#CFF09E","#59BD9A","#3B8686"))+
  ylab("Percentage of methylational categories (%)")+
  xlab("")+
  geom_hline(yintercept = 50,linetype="dashed",color="#84817a")+
  theme_few()
ggsave("Fig1D.pdf",height = 6,width=5)

