###################################################################################################
################################            READ IN DATA           ################################
###################################################################################################
gd<-read.delim("FigS2D.data.txt",stringsAsFactors = F)

dat1=gd[which(gd$class=="Demethylated"),]
dat1=data.frame(table(dat1$eDMR),class="Demethylated")
dat2=gd[which(gd$class=="De novo"),]
dat2=data.frame(table(dat2$eDMR),class="De novo")
dat3=gd[which(gd$class=="Increased"),]
dat3=data.frame(table(dat3$eDMR),class="Increased")
dat=rbind(dat1,rbind(dat2,dat3))
###################################################################################################
################################                PLOT               ################################
###################################################################################################
ggplot(dat, aes(x = Freq, y = class, fill = class)) +
  geom_density_ridges(bandwidth = 0.4,alpha=0.8) +
  theme_few() + 
  theme(legend.position = "none")+
  scale_x_continuous(breaks = seq(1,8,2),limits = c(-0.2,8))+
  scale_fill_manual(values = c("#CFF09E","#59BD9A","#3B8686"))+
  ylab("eDMR methylational categories")+
  xlab("Numbers of cancer types")
ggsave("FigS2D.data.pdf",height = 3.5,width = 4)