###################################################################################################
################################            READ IN gdA           ################################
###################################################################################################
load("enhE.RData")
sub<-read.csv("EDT_Cluster/EDT_Cluster.k=4.consensusClass.csv",stringsAsFactors = F,header=F)
colnames(sub)<-c("sample","sub")
canMean<-aggregate(t(enhE)[sub$sample,],by=list(by=sub$sub),mean)
canMean<-data.frame(t(canMean))
colnames(canMean)<-paste0("C",unique(sub$sub))
canMean<-canMean[-1,]

norMean<-read.delim("EDT_Cluster/EDT_normalMean.txt",stringsAsFactors = F,row.names = 1)
canMean<-canMean[rownames(norMean),]
norMean=norMean$normal_mean
gd<-cbind(canMean,norMean)
gd<-gd[-which(gd$norMean==0),]
norMean<-gd$norMean

dat=reshape2::melt(gd)
library(ggridges)
library(ggplot2)
library(ggthemes)
dat$variable=gsub("norMean","normal",dat$variable)
dat$variable=factor(dat$variable,levels = c("normal","C2","C3","C1","C4"))
###################################################################################################
################################                PLOT               ################################
###################################################################################################
ggplot(dat, aes(x = log2(value+1), group= variable, color = variable)) +
  geom_density(aes(linetype=variable),alpha=0.5,size=0.8) +
  scale_linetype_manual(values=c("dotted","solid","solid","solid","solid"))+
  geom_vline(xintercept = 0.3,linetype="dashed",color="#a2a9af")+
  geom_vline(xintercept = 0.7,linetype="dashed",color="#a2a9af")+
  theme_few() +theme(legend.position = "none")+
  #theme(legend.position = "none")+
  scale_x_continuous(breaks = seq(0,0.015,0.005),limits = c(0,0.015))+
  xlab("log2(RPKM+1)")+
  scale_color_manual(values = c("#DADCDB","#895199","#9F67A1","#B67EAA","#CD95B3"))
ggsave("Fig2B.pdf",height = 3.5,width = 4)
