###################################################################################################
################################            READ IN DATA           ################################
###################################################################################################
EDT<-read.delim("Fig1B.data.txt",stringsAsFactors = F,header=F)
library(ggridges)
library(ggplot2)
library(ggthemes)

dat1=EDT[which(EDT$V9=="Gain"),]
dat1=data.frame(table(dat1$V2),class="Gain")
dat2=EDT[which(EDT$V9=="Loss"),]
dat2=data.frame(table(dat2$V2),class="Loss")
dat=rbind(dat1,dat2)
###################################################################################################
################################                PLOT               ################################
###################################################################################################
ggplot(dat, aes(x = Freq, y = class, fill = class)) +
  geom_density_ridges(bandwidth = 0.4,alpha=0.8) +
  theme_few() + 
  theme(legend.position = "none")+
  scale_x_continuous(breaks = seq(1,10,2),limits = c(-0.2,10))+
  scale_fill_manual(values = c("#759BC9","#76C3C2"))+
  ylab("Enhancer transcriptional categories")+
  xlab("Numbers of cancer types")
ggsave("Fig1B.pdf",height = 3.5,width = 3.5)
