###################################################################################################
################################            READ IN gdA           ################################
###################################################################################################
load("enhE.RData")
sub<-read.csv("EDT_Cluster/EDT_Cluster.k=4.consensusClass.csv",stringsAsFactors = F,header=F)
colnames(sub)<-c("sample","sub")
canMean<-aggregate(t(enhE)[sub$sample,],by=list(by=sub$sub),mean)
canMean<-data.frame(t(canMean))
colnames(canMean)<-paste0("C",unique(sub$sub))
canMean<-canMean[-1,]

norMean<-read.delim("EDT_Cluster/EDT_normalMean.txt",stringsAsFactors = F,row.names = 1)
canMean<-canMean[rownames(norMean),]
norMean=norMean$normal_mean
gd<-cbind(canMean,norMean)
gd<-gd[-which(gd$norMean==0),]
norMean<-gd$norMean

dat=reshape2::melt(gd)
library(ggridges)
library(ggthemes)
dat$variable=gsub("norMean","normal",dat$variable)
dat$variable=factor(dat$variable,levels = c("normal","C2","C3","C1","C4"))
###################################################################################################
################################                PLOT               ################################
###################################################################################################
library(ggplot2)
library(ggpubr)
gd<-apply(gd,2, function(x,norMean){x/norMean},norMean)
gd<-reshape2::melt(gd)
gd$Var2=gsub("norMean","normal",gd$Var2)
gd$Var2=factor(gd$Var2,levels = c("C2","C3","C1","C4","normal"))

my_comparisons <- list(c("C3", "normal"),c("C1", "normal"),
                       c("C4", "normal"),c("C2", "normal"),
                       c("C1","C2"),c("C2","C4"),c("C1","C4"))

ggplot(gd, aes(x = Var2, y = value, fill = Var2)) +      
  geom_bar(stat = "summary", colour = "black", 
           position = position_dodge(),width = 0.4) +      
  stat_summary(fun.data = 'mean_se', geom = "errorbar", colour = "black", 
               width = 0.15,position = position_dodge( .9))+
  stat_compare_means(label = "p.signif",comparisons=my_comparisons,
                     method = "t.test",label.y = rev(seq(4,8,0.2)))+
  geom_hline(yintercept = 1,linetype="dashed",color="#a2a9af")+  
  theme_few()+xlab("")+ylab("")+
  scale_fill_manual(values = c("#895199","#9F67A1","#B67EAA","#CD95B3","#DADCDB"))
ggsave("Fig2A.pdf",height=4,width=4)
