setwd("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/")

###泛癌的表达增强子
TE <- read.delim("Tenh_Exp33Cancers.txt", stringsAsFactors=FALSE)
TE <- TE[-which(TE$cancer=="COADREAD"),]
TE$id=paste0(TE$TranscriptionalEnhancer,"_",TE$cancer)

df<-matrix(0,ncol=length(unique(TE$TranscriptionalEnhancer)),nrow=33)
colnames(df)=unique(TE$TranscriptionalEnhancer)
rownames(df)=unique(TE$cancer)
for (i in 1:dim(TE)[1]) {
  df[TE[i,1],TE[i,2]]<-1
}

###计算杰卡德系数并对癌症类型聚类
library(readxl)
library(vegan)
library(ggtree)
library(ggplot2)
library(patchwork)
library(ggthemes)
d <- vegdist(df, method = "jaccard"); 
hc <- hclust(d, method = "ward.D2")
p1<-ggtree(hc)+
  geom_tiplab(size=3)

gd<-data.frame(cancer=rownames(df),num=rowSums(df))
gd$value=log2(gd$num)
gd$cancer=factor(gd$cancer,levels=rev(c("PAAD","CHOL","PRAD","CESC","BLCA","HNSC","READ","COAD","SARC","MESO","SKCM","UCS","THYM","TGCT","PCPG","ACC","LIHC","UVM","LGG","GBM","THCA","KIRC","KIRP","KICH","LUSC","LUAD","BRCA","OV","LAML","DLBC","STAD","ESCA","UCEC")))
p2<-ggplot(gd, aes(x=cancer, y=num,fill=num)) + 
  geom_bar(stat = "identity",width = 0.5) +
  coord_flip()+
  theme_hc()+
  geom_text(label=gd$num,color="black",size=2)+
  scale_fill_gradient(low = "#9CECFB",high="#1c92d2")+
  theme(axis.text.y = element_blank(),
        axis.ticks.y = element_blank(),
        legend.position = "none")+
  xlab(NULL)+ylab("Numbers of transcriptional enhancers")

gd2<-aggregate(TE$cMean,list(cancer=TE$cancer),median)
gd2$cancer=factor(gd2$cancer,levels=rev(c("PAAD","CHOL","PRAD","CESC","BLCA","HNSC","READ","COAD","SARC","MESO","SKCM","UCS","THYM","TGCT","PCPG","ACC","LIHC","UVM","LGG","GBM","THCA","KIRC","KIRP","KICH","LUSC","LUAD","BRCA","OV","LAML","DLBC","STAD","ESCA","UCEC")))

p3<-ggplot(gd2, aes(y=cancer, x=1,fill=log2(x))) + 
  geom_tile() +
  theme_void()+
  geom_text(label=round(gd2$x*1000,2),color="black",size=2)+
  scale_fill_gradient2(low = "#2193b0",mid = "white",high="#C03339",
                       midpoint = median(log2(gd2$x)))+
  theme(axis.text.y = element_blank(),
        axis.ticks.y = element_blank(),
        axis.text.x = element_blank(),
        axis.ticks.x = element_blank(),
        legend.position = "none")+
  xlab(NULL)+ylab(NULL)

p1+p3+p2+plot_layout(widths = c(3,0.1,1))
ggsave("/Volumes/My Passport/Item/MEnhancer/R1/Num_enhancer.pdf")
