crc<-read.csv("/Volumes/My Passport/Item/MEnhancer/R4/CRC_TF.csv")

crc<-data.frame(cancer="LUAD",
           eDMR="chr12:31902003-31903126",
           EDT="chr12:31902136-31902566",
           gene_name="FOXA1")
tfexp<-lapply(unique(crc$cancer), function(x){
  m<-read.delim(paste0("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/eMR_Profile/",x,"_MethylProfile.txt"),row.names = 1)
  colnames(m)<-gsub(".$","",colnames(m))
  file<-list.files("/Volumes/My Passport/enhancer-expression/")
  enhE<-read.delim(paste0("/Volumes/My Passport/enhancer-expression/",file[grep(x,file)]))
  colnames(enhE)<-paste0(colnames(enhE),".01")
  file<-list.files("/Volumes/My Passport/15808_enhancer_normal/")
  enhE2<-read.delim(paste0("/Volumes/My Passport/15808_enhancer_normal/",file[grep(x,file)]))
  colnames(enhE2)<-paste0(colnames(enhE2),".11")
  enhE<-cbind(enhE,enhE2)
  file<-list.files("/Volumes/My Passport/genexp_hg19/")
  exp<-read.delim(paste0("/Volumes/My Passport/genexp_hg19/",file[grep(x,file)][1]),row.names = 1)
  # exp<-read.delim("/Volumes/My Passport/Item/MEnhancer/R1/TCGA-LUAD-rnaexpr.tsv",row.names = 1)
  
  
  r<-apply(crc[which(crc$cancer == x),],1, function(y){
    library(ggplot2)
    library(ggthemes)
    library(ggpubr)
    print(y)
    mm=y["eDMR"]
    e=y["EDT"]
    t=y["gene_name"]
    gd<-data.frame(y=as.numeric(as.matrix(enhE[e,])),class="Cancer")
    gd$class[grep(".11$",colnames(enhE))]<-"Normal"
    pe<-ggplot(gd,aes(x=class,y=y,color,color=class))+
        geom_jitter(width = 0.25,size=1)+
        geom_boxplot(width=0.4,size=0.5,fill=NA,color="black",outlier.colour = NA)+
        theme_hc()+
        scale_color_manual(values = c("#D93416","#6699CC")) +
        xlab(NULL)+ylab("Enhancer transcription levels")+
        stat_compare_means(comparisons = list(c("Cancer","Normal")),
                           label = "p.signif")+
        theme(legend.position = "none")
    #ggsave(paste0("/Volumes/My Passport/Item/MEnhancer/R6/boxplot/",x,"_",gsub(":","_",e),".pdf"),height = 3.5,width = 3)
    
    gd<-data.frame(y=as.numeric(as.matrix(exp[t,])),class="Cancer")
    gd$class[grep(".11$",colnames(exp))]<-"Normal"
    pg<-ggplot(gd,aes(x=class,y=y,color,color=class))+
      geom_jitter(width = 0.25,size=1)+
      geom_boxplot(width=0.4,size=0.5,fill=NA,color="black",outlier.colour = NA)+
      theme_hc()+
      scale_color_manual(values = c("#D93416","#6699CC")) +
      xlab(NULL)+ylab(paste0(t," expression levels"))+
      stat_compare_means(comparisons = list(c("Cancer","Normal")),
                         label = "p.signif")+
      theme(legend.position = "none")
    #ggsave(paste0("/Volumes/My Passport/Item/MEnhancer/R6/boxplot/",x,"_",t,".pdf"),height = 3.5,width = 3)
    
    gd<-data.frame(y=as.numeric(as.matrix(m[mm,])),class="Cancer")
    gd$class[grep(".11$",colnames(m))]<-"Normal"
    pm<-ggplot(gd,aes(x=class,y=y,color,color=class))+
      geom_jitter(width = 0.25,size=1)+
      geom_boxplot(width=0.4,size=0.5,fill=NA,color="black",outlier.colour = NA)+
      theme_hc()+
      scale_color_manual(values = c("#D93416","#6699CC")) +
      xlab(NULL)+ylab("Enhancer methylation levels")+
      stat_compare_means(comparisons = list(c("Cancer","Normal")),
                         label = "p.signif")+
      theme(legend.position = "none")
    #ggsave(paste0("/Volumes/My Passport/Item/MEnhancer/R6/boxplot/",x,"_",gsub(":","_",mm),".pdf"),height = 3.5,width = 3)
    library(patchwork)
    pm+pe+pg
    ggsave(paste0("/Volumes/My Passport/Item/MEnhancer/R6/boxplot/",x,"_",t,"_",gsub(":","_",e),"_",gsub(":","_",mm),".pdf"),height = 3.5,width = 8)
  })
})

gd<-read.delim("/Volumes/My Passport/Item/MEnhancer/R3/DENND5B-AS1/DENND5BproMeth.txt")
gd$class="Cancer"
gd$class[grep("11$",gd$sample)]="Normal"
ggplot(gd,aes(x=class,y=cg16629664,color,color=class))+
  geom_jitter(width = 0.25,size=1)+
  geom_boxplot(width=0.4,size=0.5,fill=NA,color="black",outlier.colour = NA)+
  theme_hc()+
  scale_color_manual(values = c("#D93416","#6699CC")) +
  xlab(NULL)+ylab("eDMR methylation levels")+
  stat_compare_means(comparisons = list(c("Cancer","Normal")),
                     label = "p.signif")+
  theme(legend.position = "none")
ggsave("/Volumes/My Passport/Item/MEnhancer/R3/DENND5B-AS1/DENND5BproMeth.pdf",height = 3.5,width = 3)



crc<-data.frame(cancer="LUAD",
                eDMR="chr12:31902003-31903126",
                EDT="chr12:31902136-31902566",
                gene_name="FOXA1")
tfexp<-lapply(unique(crc$cancer), function(x){
  m<-read.delim(paste0("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/eMR_Profile/",x,"_MethylProfile.txt"),row.names = 1)
  colnames(m)<-gsub(".$","",colnames(m))
  file<-list.files("/Volumes/My Passport/enhancer-expression/")
  enhE<-read.delim(paste0("/Volumes/My Passport/enhancer-expression/",file[grep(x,file)]))
  colnames(enhE)<-paste0(colnames(enhE),".01")
  file<-list.files("/Volumes/My Passport/15808_enhancer_normal/")
  enhE2<-read.delim(paste0("/Volumes/My Passport/15808_enhancer_normal/",file[grep(x,file)]))
  colnames(enhE2)<-paste0(colnames(enhE2),".11")
  enhE<-cbind(enhE,enhE2)
  file<-list.files("/Volumes/My Passport/genexp_hg19/")
  exp<-read.delim(paste0("/Volumes/My Passport/genexp_hg19/",file[grep(x,file)][1]),row.names = 1)
  colnames(exp)<-gsub("-",".",colnames(exp))
  exp2<-read.delim("/Volumes/My Passport/Item/MEnhancer/R1/TCGA-LUAD-rnaexpr.tsv",row.names = 1)
  
  sample<-intersect(intersect(intersect(colnames(exp),colnames(enhE)),colnames(m)),colnames(exp2))
  r<-apply(crc[which(crc$cancer == x),],1, function(y){
    library(ggplot2)
    library(ggthemes)
    library(ggpubr)
    library(viridis)
    print(y)
    mm=y["eDMR"]
    e=y["EDT"]
    t=y["gene_name"]
    gd<-data.frame(e=as.numeric(as.matrix(enhE[e,sample])),
                   m=as.numeric(as.matrix(m[mm,sample])),
                   t=as.numeric(as.matrix(exp[t,sample])),
                   g=as.numeric(as.matrix(exp2["DENND5B-AS1",sample])))
    
    p3<-ggplot(gd,aes(y=m,x=t))+
      geom_point(size=0.03,color="black")+
      stat_density_2d(geom = "polygon",
                      aes(alpha = ..level..,fill = ..level..))+
      geom_smooth()+
      stat_cor(method = "spearman")+
      theme_few()+
      xlab("FOXA1 expression levels")+
      ylab("eDMR methylation levels")+
      theme(legend.position = "none")+
      scale_fill_viridis(option ="D")
    ggsave("/Volumes/My Passport/Item/MEnhancer/R3/DENND5B-AS1/edmr.pdf",height = 3,width = 3.5)
    
    p3<-ggplot(gd,aes(y=e,x=t))+
      geom_point(size=0.03,color="black")+
      stat_density_2d(geom = "polygon",
                      aes(alpha = ..level..,fill = ..level..))+
      geom_smooth()+
      stat_cor(method = "spearman")+
      theme_few()+
      xlab("FOXA1 expression levels")+
      ylab("EDT12 transcription levels")+
      theme(legend.position = "none")+
      scale_fill_viridis(option ="D")
    ggsave("/Volumes/My Passport/Item/MEnhancer/R3/DENND5B-AS1/edt.pdf",height = 3,width = 3.5)
    
    p3<-ggplot(gd,aes(y=g,x=t))+
      geom_point(size=0.03,color="black")+
      stat_density_2d(geom = "polygon",
                      aes(alpha = ..level..,fill = ..level..))+
      geom_smooth()+
      stat_cor(method = "spearman")+
      theme_few()+
      xlab("FOXA1 expression levels")+
      ylab("DENND5B-AS1 expression levels")+
      theme(legend.position = "none")+
      scale_fill_viridis(option ="D")
    ggsave("/Volumes/My Passport/Item/MEnhancer/R3/DENND5B-AS1/lnc.pdf",height = 3,width = 3.5)
    
    
  })
})
