###############
setwd("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/")
eMR_Tenh<-read.delim("panc_eMR_Tenh.txt",stringsAsFactors = F,header=F,sep=" ")
colnames(eMR_Tenh)<-c("TranscriptionalEnhancer","eMR","cancer","adj.p")
eMR_Tenh$cancer=gsub("COAD","COADREAD",eMR_Tenh$cancer)


eDMR<-read.delim("panc_eDMR.txt",stringsAsFactors = F,header=T)
eDMR$cancer.x=gsub("COAD","COADREAD",eDMR$cancer.x)

gd<-lapply(unique(eMR_Tenh$cancer), function(x){
  m<-read.delim(paste0("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/eMR_Profile/",x,"_MethylProfile.txt"),row.names = 1)
  colnames(m)<-gsub(".$","",colnames(m))
  file=list.files("/Volumes/My Passport/enhancer-expression/")
  enhE<-read.delim(paste0("/Volumes/My Passport/enhancer-expression/",file[grep(x,file)]),row.names = 1)
  colnames(enhE)<-paste0(colnames(enhE),".01")
  sample<-intersect(colnames(m),colnames(enhE))
  yy=eMR_Tenh[which(eMR_Tenh$cancer==x),]
  apply(yy, 1, function(y){
    print(y)
    edmr=as.numeric(as.matrix(m[y['eMR'],sample]))
    print(edmr[1])
    e=as.numeric(as.matrix(enhE[y['TranscriptionalEnhancer'],sample]))
    print(e[1])
    c<-cor.test(edmr,e,method="spearman")
    c(cancer=x,y['eMR'],y['TranscriptionalEnhancer'],
      rho=c$estimate,p=c$p.value)
  })
})
gd<-do.call(cbind,gd)
gd<-data.frame(t(gd))
gd$rho.rho=as.numeric(gd$rho.rho)
gd$p=as.numeric(gd$p)
gd$eMR=as.character(factor(gd$eMR))

# bed<-apply(gd,1, function(x){
#   data.frame(
#     chr=unlist(strsplit(x['eMR'],"[:-]"))[1],
#     start=unlist(strsplit(x['eMR'],"[:-]"))[2],
#     end=unlist(strsplit(x['eMR'],"[:-]"))[3],
#     rho=x["rho.rho"],
#     p=x["p"],
#     cancer=x["cancer"]
#   )
# })
# bed<-do.call(rbind,bed)
rm<-matrix(NA,nrow = length(unique(gd$eMR)),
       ncol=length(unique(gd$cancer)))
dimnames(rm)=list(unique(gd$eMR),unique(gd$cancer))
for(i in 1:1634){
  rm[gd$eMR[i],gd$cancer[i]]<-gd$rho.rho[i]
}
rm[which(is.na(rm))]=0
bed<-data.frame(chr=unlist(strsplit(unique(gd$eMR),"[:-]"))[seq(1,594*3,3)],
                start=as.numeric(unlist(strsplit(unique(gd$eMR),"[:-]"))[seq(2,594*3,3)]),
                end=as.numeric(unlist(strsplit(unique(gd$eMR),"[:-]"))[seq(3,594*3,3)]),
                rm)
bed=bed[order(bed$start),]



library(circlize)
library(RColorBrewer)
cytoband = read.cytoband()
xrange = c(cytoband$chr.len, 
           cytoband$chr.len[paste0("chr",sort(gsub("chr","",unique(bed$chr))))])
normal_chr_index = 1:length(sort(gsub("chr","",unique(bed$chr))))
zoomed_chr_index = 22+c(1:27)

# normalize in normal chromsomes and zoomed chromosomes separately
sector.width = c(xrange[normal_chr_index] / sum(xrange[normal_chr_index]), 
                 xrange[zoomed_chr_index] / sum(xrange[zoomed_chr_index])) 
bl<-bed[unique(eDMR$eDMR),1:3]
bl$label=rownames(bl)
col_fun = colorRamp2(c(-1,-0.5,0,0.5,1), c("#45aaf2","#45aaf2","white","#eb3b5a","#eb3b5a"))
pdf("/Volumes/My Passport/Item/MEnhancer/R1/circos.pdf",height = 10,width = 10)
circos.par("start.degree" =90)
circos.initializeWithIdeogram(extend_chromosomes(bed, 
                              paste0("chr",sort(gsub("chr","",unique(bed$chr))))), 
                              sector.width = sector.width)
circos.genomicIdeogram(track.height = 0.1)
circos.genomicHeatmap(bed, col = col_fun, side = "inside",heatmap_height = 0.3)
dev.off()

gd$type="pos"
gd$type[which(gd$p<0.05 & gd$rho.rho<0)]="neg"
gd$type[which(gd$p>0.05)]="non-sig"
as.matrix(table(gd$cancer,gd$type))

pdf("/Volumes/My Passport/Item/MEnhancer/R1/circosBar.pdf",height = 10,width = 10)
circos.initialize(letters[1:2], xlim = c(0, 10))
circos.track(ylim = c(0, 1.2), panel.fun = function(x, y) {
  value = as.matrix(table(gd$cancer,gd$type))/rowSums(table(gd$cancer,gd$type))
  circos.barplot(value, 1:10 - 0.5, col = 2:5,bar_width = 0.5)
})
dev.off()


###############
setwd("/Volumes/My Passport/MEnhancer/0.FLT/1.Result1/")
eDMR<-read.delim("panc_eDMR.txt",stringsAsFactors = F,header=T)
eDMR$cancer.x=gsub("COAD","COADREAD",eDMR$cancer.x)

edt<-read.delim("/Volumes/My Passport/Item/MEnhancer/R1/EDT.txt")
edt$by=paste0(edt$EDT,"_",edt$Cancer)
gd<-merge(eDMR,edt,by="by")

sankey<-data.frame(table(paste0(gd$cancer.x,"_",gd$class,"_",gd$EDT_class)))
sankey$Var1=gsub("_",",",sankey$Var1)
write.csv(sankey,"/Volumes/My Passport/Item/MEnhancer/R1/cancer_em_sankey.csv",quote = F,row.names = F,col.names = F)



